%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	PAM module for USER/PASS-style protocols
Name:		pam_userpass
Version:	1.0.2
Release:	11
License:	relaxed BSD and (L)GPL-compatible
Group:		System/Libraries
Url: 		http://www.openwall.com/pam
Source0:	ftp://ftp.openwall.com/pub/projects/pam/modules/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pam-devel
Conflicts:	%{_lib}pam_userpass1 < 1.0.2-11

%description
pam_userpass is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing to verify
a username/password pair.  This module doesn't do any actual
authentication, -- other modules, such as pam_tcb, should be stacked
after it to provide the authentication.

%files
%doc LICENSE README
/%{_lib}/security/pam_userpass.so

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	PAM module for USER/PASS-style protocols
Group:		System/Libraries

%description -n %{libname}
pam_userpass is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing to verify
a username/password pair.  This module doesn't do any actual
authentication, -- other modules, such as pam_tcb, should be stacked
after it to provide the authentication.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Libraries and header files for developing pam_userpass-aware applications
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Requires:	pam-devel
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains development libraries and header files required
for building pam_userpass-aware applications.

%files -n %{devname}
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/security/*

#----------------------------------------------------------------------------

%prep
%setup -q
find . -perm 0600 -exec chmod 0644 '{}' \;

%build
%make \
	CFLAGS="-Wall -fPIC %{optflags} -Iinclude" \
	LDFLAGS="%{ldflags}"

%install
%make install DESTDIR="%{buildroot}" SECUREDIR=/%{_lib}/security LIBDIR=%{_libdir}


%changelog
* Mon Feb 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.2-11
+ Revision: e92a77c
- Move PAM module out of library package, fix debug package


